'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');

const loadingStyles = {
  display: 'flex',
  height: '100%',
  width: '100%',
  justifyContent: 'center',
  alignItems: 'center'
};
var Loading = vue.defineComponent((props, _ref) => {
  let {
    slots
  } = _ref;
  return () => {
    var _slots$default;

    return vue.createVNode("div", {
      "style": vue.normalizeStyle(loadingStyles)
    }, [(_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots)]);
  };
});

exports["default"] = Loading;
