const editorProps = {
  defaultValue: String,
  defaultPath: String,
  defaultLanguage: String,
  value: String,
  language: String,
  path: String,

  /* === */
  theme: {
    type: String,
    default: 'light'
  },
  line: Number,
  options: {
    type: Object,
    default: () => ({})
  },
  overrideServices: {
    type: Object,
    default: () => ({})
  },
  saveViewState: {
    type: Boolean,
    default: true
  },
  // keepCurrentModel: {
  //   type: Boolean,
  //   default: false,
  // },

  /* === */
  width: {
    type: [Number, String],
    default: '100%'
  },
  height: {
    type: [Number, String],
    default: '100%'
  },
  className: String,

  /* === */
  'onUpdate:value': Function,
  onBeforeMount: Function,
  onMount: Function,
  onChange: Function,
  onValidate: Function
};

export { editorProps };
