import { defineComponent, createVNode, normalizeStyle } from 'vue';

const loadingStyles = {
  display: 'flex',
  height: '100%',
  width: '100%',
  justifyContent: 'center',
  alignItems: 'center'
};
var Loading = defineComponent((props, _ref) => {
  let {
    slots
  } = _ref;
  return () => {
    var _slots$default;

    return createVNode("div", {
      "style": normalizeStyle(loadingStyles)
    }, [(_slots$default = slots.default) === null || _slots$default === void 0 ? void 0 : _slots$default.call(slots)]);
  };
});

export { Loading as default };
